# Generated by Django 4.0.7 on 2022-08-30 09:43

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations

import main.blocks
import shared.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0025_alter_mainhomepage_social_links_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="mainhomepage",
            name="max_items",
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "slides",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.HomePageCarouseSlideBlock,
                                        label="Obrázky s nadpisy - carouselu",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "people",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="Hlavní titulek"),
                                ),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.PersonBoxBlock, label="Boxíky"
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "regions",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Články pro regiony se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "tweets",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Tweety budou načteny pro všechny profily uvedené v nastavení webu automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "boxes",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.PersonBoxBlock, label="Boxíky"
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Hlavní obsah",
            ),
        ),
    ]
